<template>
    <div class="home">
    <header>
      <div class="top-bar">
        <div class="top-bar-header">
          <h4>Vue News Search</h4>
        </div>
        <div class="top-bar-container">
          <div class="top-bar-field">
            <select v-model="country">
              <option v-for="country in countrySelection" :value="country.value" :key="country.value">{{ country.name }}</option>
            </select>
          </div>
          <div class="top-bar-field">

            <select v-model="category">
              <option v-for="category in categorySelection" :key="category" :value="category">{{category}}</option>
            </select>
          </div>
          <div class="top-bar-field">
            <input type="text" v-model="search" placeholder="Keywords (optional)"/>
          </div>
          <button @click="searchNews">Search</button>
          <button v-if="search" @click="refresh" class="secondary-btn refresh">Clear</button>
        </div>
      </div>
    </header>
    <section>
      <div v-if="totalResult" class="counter-result">{{totalResult || 0}} News Results(s)</div>
      <div v-else-if="!isLoading" class="counter-result">No News Found</div>
      
      <div v-if="articleList.length" class="news-section">
        <div class="news-item-container">
            <Item v-for="(article, index) in articleList" :key="article.publishedAt + index" :article="article"/>
            
        </div>
      </div>
      <div v-if="isLoading" class="counter-result">Loading...</div>

      <div class="load-more" v-if="articleList.length && totalResult > articleList.length">
        <button class="load-more-btn" @click="showMore">Load More</button>
      </div>
    </section>
    <div class="scroll-top" @click="toTop" v-show="scY > 500">
      <img src="../../assets/go-up.png" />
    </div>
  </div>
</template>

<style>
    @import './styles.css'
</style>

<script src="./script.js"></script>